/*Diseño del piez de pagina*/
footer {
    position: absolute !important;
    top: 100% !important;
    bottom: auto !important;
    width: 100%;
    height: 170px;
    background-color: rgb(7, 6, 6);
}

#footer-noticias {
    height: 193px;
}

.piez {
    top: 0px;
    position: absolute;
    width: 100%;
    height: 160px;
    background-color: rgba(18, 18, 18, 0.651);
}


.caja-piez {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 160px;
    background-color: transparent;

}


.logo-piez {
    top: 8px;
    left: 30px;
    position: absolute;
    height: 154px;
    width: 130px;
}

.logo-piez img {
    height: 100%;
    width: 100%;
    border-radius: 10px;

}

.caja-redes-piez {
    position: absolute;
    top: 50px;
    background-color: transparent;
    width: 256px;
    height: 60px;
    left: 39%;
    display: flex; /* Activa Flexbox */
    justify-content: space-between; /* Distribuye el espacio equitativamente */
    align-items: center; /* Centra verticalmente */

}


#facebook,
#twitter,
#instagram,
#youtube {
    background-color: transparent;
}

#facebook {
    position: relative; /* Cambiado de absolute a relative */
    height: 100%;
    background-color: transparent;
}

#facebook img {
    height: 100%;
}

#twitter {
    position: relative;
    height: 100%;
    background-color: transparent;
}

#twitter img {
    height: 100%;
}

#instagram {
    position: relative;
    height: 100%;
}

#instagram img {
    height: 100%;
}

#youtube {
    position: relative;
    height: 100%;
}

#youtube img {
    height: 100%;
}

.boton-contri {
    position: absolute;
    top: 45px;
    width: 220px;
    right: 0px;
    height: 80px;
    background-color: transparent;

}

.boton-contri a {
    position: absolute;
    top: 0px;
    height: 100%;
    width: 100%;
    right: 0px;
}

.boton-contri img {
    position: absolute;
    top: 0px;
    height: 100%;
    width: 100%;
    right: 0px;
}

#marque-C {
    position: absolute;
    bottom: 2px;
    left: 12%;
    width: 88%;
    border: none;
    text-align: center;
    font-size: 20px;
    background-color: black;
    color: white;
}

#marquee-noticias {
    position: absolute;
    top: 100%;
    height: 30px;
    width: 100%;
    left: 0px;
    transition: 1s;
    background-color: rgba(0, 0, 0, 0.637);
    color: white;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

#marquee-noticias marquee {
    position: absolute;
    left: 0px;
    width: 100%;
}

#marquee-noticias h6 {
    font-size: 20px;
}



@media screen and (max-width: 900px) {
    #caja-redes-piez-id {
        left: 31%; 
    }
}

@media screen and (max-width: 780px) {
    #caja-redes-piez-id {
        left: 27%;
       
    }

    #logo-piez-id {
        position: absolute;
        left: 5px;
    }

    .boton-contri {
        top: 38px;
       
    }
}

@media screen and (max-width: 700px) {

    #caja-redes-piez-id {
        top: 100px;
        left: 40%;  
    }

    .boton-contri {
        top: 10px;
        left: 65%;
        background-color: transparent;
    }
}

@media screen and (max-width: 660px) {
    .boton-contri {
        left: 60%;
        background-color: transparent;
    }
}

@media screen and (max-width: 580px) {

    .boton-contri {
        left: 55%;
        background-color: transparent;
    }
}

@media screen and (max-width: 520px) {
    #logo-piez-id {
        position: absolute;
        left: 5px;
    }

    .logo-piez img {
        border-radius: 0px;
    }

    .caja-piez {
        height: 100%;
        background-color: transparent;
    }

    .boton-contri {
        left: 200px;
        background-color: transparent;
    }

    #caja-redes-piez-id {
        left: 180px;
       background-color: transparent;
       
    }



}

@media screen and (max-width: 492px) {
    #logo-piez-id {
        position: absolute;
        left: 5px;
    }

    .logo-piez img {
        border-radius: 0px;
    }

    .caja-piez {
        height: 100%;
        background-color: transparent;
    }

    .boton-contri {
        top: 0px;
        left: 190px;
        background-color: transparent;
    }

    #caja-redes-piez-id {
        top: 90px;
        left: 170px;
       background-color: transparent;
       
    }



}

@media screen and (max-width: 412px) {
    footer, #footer-noticias {
        bottom: 0px;
        position: absolute;
        height: 350px;
        width: 100%;
        left: 0px;
    }

    #footer-noticias {
        height: 373px;
    }

    .piez {
        height: 350px;
    }

    #footer-noticias .caja-piez {
        top: 0px;
        position: absolute;
        width: 100%;
        height: 320px;
    }

    #footer-noticias .piez {
        top: 0px;
        height: 100%;
    }

    .caja-piez {
        height: 345px;
    }

    #logo-piez-id {
        position: absolute;
        left: 36%;
    }

    .logo-piez img {
        border-radius: 9px;
    }

    .boton-contri {
        position: absolute;
        top: 175px;
        left: 22%;
        background-color: transparent;
    }

    .boton-contri img {
        top: 0px;
    }

    #caja-redes-piez-id {
        top: 265px;
        height: 62px;
        width: 257px;
        left: 75px;
    }

    #facebook {
        top: 0px;
    }

    #twitter {
        top: 0px;
    }

    #instagram {
        height: 100%;

    }

    #youtube {
        height: 100%;
    }

    #marque-C {
        position: absolute;
        bottom: 2px;
        left: 0px;
        width: 100%;
        border: none;
    }

    #marquee-noticias {
        position: absolute;
        top: 88%;
        height: 41px;
    }

    #marquee-noticias h6 {
        font-size: 22px;

    }
}

@media screen and (max-width: 320px) {
    footer, #footer-noticias {
        bottom: 0px;
        position: absolute;
        height: 350px;
        width: 100%;
        left: 0px;
    }

    #footer-noticias {
        height: 373px;
    }

    .piez {
        height: 350px;
    }

    #footer-noticias .caja-piez {
        top: 0px;
        position: absolute;
        width: 100%;
        height: 320px;
    }

    #footer-noticias .piez {
        top: 0px;
        height: 100%;
    }

    .caja-piez {
        height: 345px;
    }

    #logo-piez-id {
        position: absolute;
        left: 30%;
    }

    .logo-piez img {
        border-radius: 9px;
    }

    .boton-contri {
        position: absolute;
        top: 175px;
        left: 14%;
        background-color: transparent;
    }

    .boton-contri img {
        top: 0px;
    }

    #caja-redes-piez-id {
        top: 265px;
        height: 62px;
        width: 257px;
        left: 33px;
    }

    #facebook {
        top: 0px;
    }

    #twitter {
        top: 0px;
    }

    #instagram {
        height: 100%;

    }

    #youtube {
        height: 100%;
    }

    #marque-C {
        position: absolute;
        bottom: 2px;
        left: 0px;
        width: 100%;
        border: none;
    }

    #marquee-noticias {
        position: absolute;
        top: 88%;
        height: 41px;
    }

    #marquee-noticias h6 {
        font-size: 22px;

    }
}